Subject: Re: [PATCH 1/3] add USB setup code for 8349emds PB

From: Arnd Bergmann <[email-masked]>
Date: Wed, 7 Feb 2007 09:47:02 +0100

On Wednesday 07 February 2007 03:22, Li Yang-r58472 wrote:
> 
> > I'm not sure if scanning through the device tree to find mmio
> > addresses is still considered valid style. I would instead prefer
> > you to provide a of_platform_driver that attaches to the
> > respective 'compatible' property and does the register access
> > in its probe() function in order to not conflict with other drivers.
> 
> The driver will not use of_platform_driver for it to be used through
> multiple architectures.

Huh? I don't understand. You currently use of_find_compatible_node(),
which is also platform-specific.

	Arnd <><